﻿@model ARGNSMDFootwearMaterial

@{
    string mTrId = "TR_FootwearMaterial" + Model.LineId;
    string mFMaterial_SF = "FMaterial_SF" + Model.LineId;
    string mFMaterial_Lining = "FMaterial_Lining" + Model.LineId;
    string mFMaterial_Insole = "FMaterial_Insole" + Model.LineId;
    string mFMaterial_Outsole = "FMaterial_Outsole" + Model.LineId;
    string mFMaterial_Heel = "FMaterial_Heel" + Model.LineId;
    string mIsNew = "FootwearMaterial_IsNew" + Model.LineId;

    <tr id='@mTrId'>
        <td style="width:50px">
            <button onclick="DeleteRow('@mTrId')" type="button" class="btn btn-primary btn-xs"><span class="glyphicon glyphicon-trash"></span></button>
            <input type="hidden" id="@Model.LineId" value="@Model.LineId" />
        </td>
        <td><input id='@mFMaterial_SF' class="form-control" value='@Model.U_Sfabric' onchange="LineWasChanged('@Model.LineId','FootwearMaterial');" /></td>
        <td><input id='@mFMaterial_Lining' class="form-control" value='@Model.U_Lining' onchange="LineWasChanged('@Model.LineId','FootwearMaterial');" /></td>
        <td><input id='@mFMaterial_Insole' class="form-control" value='@Model.U_Insole' onchange="LineWasChanged('@Model.LineId','FootwearMaterial');" /></td>
        <td><input id='@mFMaterial_Outsole' class="form-control" value='@Model.U_Outsole' onchange="LineWasChanged('@Model.LineId','FootwearMaterial');" /></td>
        <td><input id='@mFMaterial_Heel' class="form-control" value='@Model.U_Heel' onchange="LineWasChanged('@Model.LineId','FootwearMaterial');" /></td>
        <td style="display:none;">
            <input id="@mIsNew" value="@(Model.IsNew ? "true" : "false")" />
        </td>
        @{
            if (Model.MappedUdf != null && Model.MappedUdf.Count > 0)
            {
                foreach (var DictRow in Model.MappedUdf.OrderBy(c => c.UDFName))
                {
                    <td>
                        @if (DictRow.ListUFD1.Count > 0)
                        {
                            @Html.DropDownList(DictRow.UDFName, new SelectList(
                                DictRow.ListUFD1,
                                "FldValue",
                                "Descr", DictRow.Value), new { @Id = "LINEUDF_Material_" + DictRow.UDFName + Model.LineId, @Name = "LINEUDF_Material_" + DictRow.UDFName, @class = "form-control UDFField", @onchange = "LineWasChanged('" + Model.LineId + "','FootwearMaterial');" })
                        }
                        else
                        {
                            <input id='LINEUDF_Material_@DictRow.UDFName@Model.LineId' name="LINEUDF_Material_@DictRow.UDFName" class="form-control UDFField" value='@DictRow.Value' onchange="LineWasChanged('@Model.LineId','FootwearMaterial');" />
                        }
                    </td>
                }
            }
        }
    </tr>
}